<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:47:33 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BatchReverseFunctionBody (org.eclipse.papyrus.designer.languages.cpp.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BatchReverseFunctionBody (org.eclipse.papyrus.designer.languages.cpp.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BatchReverseFunctionBody.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/CommandSupport.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html" target="_top">Frames</a></li>
<li><a href="BatchReverseFunctionBody.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.reverse.reverse</div>
<h2 title="Class BatchReverseFunctionBody" class="title">Class BatchReverseFunctionBody</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.BatchReverseFunctionBody</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BatchReverseFunctionBody</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#ansiCLib">ansiCLib</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#ansiTypes">ansiTypes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#langID">langID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#m_classifier">m_classifier</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#m_projectName">m_projectName</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#names">names</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#sAtParam">sAtParam</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.uml2.uml.Model-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-">BatchReverseFunctionBody</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                        org.eclipse.uml2.uml.Model&nbsp;model,
                        <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-">BatchReverseFunctionBody</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                        <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-org.eclipse.uml2.uml.Classifier-">BatchReverseFunctionBody</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                        <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse,
                        org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#examineChildren-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTNodeSelector-org.eclipse.cdt.core.model.IParent-">examineChildren</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
               org.eclipse.cdt.core.dom.ast.IASTNodeSelector&nbsp;selector,
               org.eclipse.cdt.core.model.IParent&nbsp;parent)</code>
<div class="block">Examine the children of a translation unit in order to extract the
 methods that are defined within hte unit</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#getBody-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition-">getBody</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
       org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition&nbsp;definition)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#isAnsiType-java.lang.String-">isAnsiType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#reverseCpp-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTNodeSelector-org.eclipse.cdt.core.model.IParent-">reverseCpp</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
          org.eclipse.cdt.core.dom.ast.IASTNodeSelector&nbsp;selector,
          org.eclipse.cdt.core.model.IParent&nbsp;parent)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#reverseHeader-org.eclipse.cdt.core.dom.ast.IASTTranslationUnit-">reverseHeader</a></span>(org.eclipse.cdt.core.dom.ast.IASTTranslationUnit&nbsp;header)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#run--">run</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#updateComment-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition-org.eclipse.uml2.uml.Operation-">updateComment</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
             org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition&nbsp;definition,
             org.eclipse.uml2.uml.Operation&nbsp;operation)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#updateCppInclude-org.eclipse.cdt.core.model.ITranslationUnit-">updateCppInclude</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu)</code>
<div class="block">update the contents of the CppInclude directive</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#updateCppInclude-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.uml2.uml.Classifier-">updateCppInclude</a></span>(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>
<div class="block">update the contents of the CppInclude directive</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Operation</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html#updateMethod-org.eclipse.cdt.core.model.IFunctionDeclaration-org.eclipse.cdt.core.dom.ast.IASTNode-int-org.eclipse.cdt.core.model.IParent-java.lang.String-java.lang.String-org.eclipse.cdt.core.dom.ast.IASTFunctionDeclarator-">updateMethod</a></span>(org.eclipse.cdt.core.model.IFunctionDeclaration&nbsp;function,
            org.eclipse.cdt.core.dom.ast.IASTNode&nbsp;functionNode,
            int&nbsp;position,
            org.eclipse.cdt.core.model.IParent&nbsp;parent,
            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName,
            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;body,
            org.eclipse.cdt.core.dom.ast.IASTFunctionDeclarator&nbsp;declarator)</code>
<div class="block">Update a method in the model while passing the qualified name</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="sAtParam">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sAtParam</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> sAtParam</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.BatchReverseFunctionBody.sAtParam">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ansiCLib">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ansiCLib</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ansiCLib</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.BatchReverseFunctionBody.ansiCLib">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ansiTypes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ansiTypes</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] ansiTypes</pre>
</li>
</ul>
<a name="names">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>names</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] names</pre>
</li>
</ul>
<a name="langID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>langID</h4>
<pre>public final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> langID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.BatchReverseFunctionBody.langID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="m_classifier">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_classifier</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Classifier m_classifier</pre>
</li>
</ul>
<a name="m_projectName">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_projectName</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> m_projectName</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BatchReverseFunctionBody</h4>
<pre>public&nbsp;BatchReverseFunctionBody(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                                <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse)</pre>
</li>
</ul>
<a name="BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BatchReverseFunctionBody</h4>
<pre>public&nbsp;BatchReverseFunctionBody(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                                <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse,
                                org.eclipse.uml2.uml.Classifier&nbsp;classifier)</pre>
</li>
</ul>
<a name="BatchReverseFunctionBody-org.eclipse.cdt.core.model.ITranslationUnit-java.lang.String-org.eclipse.uml2.uml.Model-org.eclipse.papyrus.designer.languages.cpp.reverse.reverse.ReverseCpp2Uml-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BatchReverseFunctionBody</h4>
<pre>public&nbsp;BatchReverseFunctionBody(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;iTu,
                                <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;projectName,
                                org.eclipse.uml2.uml.Model&nbsp;model,
                                <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/ReverseCpp2Uml.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse">ReverseCpp2Uml</a>&nbsp;reverse)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isAnsiType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAnsiType</h4>
<pre>public&nbsp;boolean&nbsp;isAnsiType(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="run--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()
         throws <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="reverseHeader-org.eclipse.cdt.core.dom.ast.IASTTranslationUnit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reverseHeader</h4>
<pre>public&nbsp;void&nbsp;reverseHeader(org.eclipse.cdt.core.dom.ast.IASTTranslationUnit&nbsp;header)</pre>
</li>
</ul>
<a name="reverseCpp-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTNodeSelector-org.eclipse.cdt.core.model.IParent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reverseCpp</h4>
<pre>public&nbsp;void&nbsp;reverseCpp(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                       org.eclipse.cdt.core.dom.ast.IASTNodeSelector&nbsp;selector,
                       org.eclipse.cdt.core.model.IParent&nbsp;parent)</pre>
</li>
</ul>
<a name="examineChildren-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTNodeSelector-org.eclipse.cdt.core.model.IParent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>examineChildren</h4>
<pre>public&nbsp;void&nbsp;examineChildren(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                            org.eclipse.cdt.core.dom.ast.IASTNodeSelector&nbsp;selector,
                            org.eclipse.cdt.core.model.IParent&nbsp;parent)
                     throws org.eclipse.cdt.core.model.CModelException</pre>
<div class="block">Examine the children of a translation unit in order to extract the
 methods that are defined within hte unit</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itu</code> - </dd>
<dd><code>selector</code> - </dd>
<dd><code>parent</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.cdt.core.model.CModelException</code></dd>
</dl>
</li>
</ul>
<a name="updateCppInclude-org.eclipse.cdt.core.model.ITranslationUnit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateCppInclude</h4>
<pre>public&nbsp;void&nbsp;updateCppInclude(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu)</pre>
<div class="block">update the contents of the CppInclude directive</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itu</code> - the translation unit</dd>
</dl>
</li>
</ul>
<a name="updateCppInclude-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateCppInclude</h4>
<pre>public static&nbsp;void&nbsp;updateCppInclude(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                                    org.eclipse.uml2.uml.Classifier&nbsp;classifier)</pre>
<div class="block">update the contents of the CppInclude directive</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itu</code> - the translation unit</dd>
<dd><code>classifier</code> - the UML classifier</dd>
</dl>
</li>
</ul>
<a name="updateMethod-org.eclipse.cdt.core.model.IFunctionDeclaration-org.eclipse.cdt.core.dom.ast.IASTNode-int-org.eclipse.cdt.core.model.IParent-java.lang.String-java.lang.String-org.eclipse.cdt.core.dom.ast.IASTFunctionDeclarator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateMethod</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Operation&nbsp;updateMethod(org.eclipse.cdt.core.model.IFunctionDeclaration&nbsp;function,
                                                   org.eclipse.cdt.core.dom.ast.IASTNode&nbsp;functionNode,
                                                   int&nbsp;position,
                                                   org.eclipse.cdt.core.model.IParent&nbsp;parent,
                                                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName,
                                                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;body,
                                                   org.eclipse.cdt.core.dom.ast.IASTFunctionDeclarator&nbsp;declarator)</pre>
<div class="block">Update a method in the model while passing the qualified name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - The position of the method within the file. Used to identify
            renaming operations</dd>
<dd><code>parent</code> - the CDT parent which is used to get a list of children</dd>
<dd><code>qualifiedName</code> - the qualified name of a method</dd>
<dd><code>body</code> - the method body</dd>
<dd><code>declarator</code> - the declarator for the method</dd>
</dl>
</li>
</ul>
<a name="getBody-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBody</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBody(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                             org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition&nbsp;definition)</pre>
</li>
</ul>
<a name="updateComment-org.eclipse.cdt.core.model.ITranslationUnit-org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition-org.eclipse.uml2.uml.Operation-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateComment</h4>
<pre>public&nbsp;void&nbsp;updateComment(org.eclipse.cdt.core.model.ITranslationUnit&nbsp;itu,
                          org.eclipse.cdt.core.dom.ast.IASTFunctionDefinition&nbsp;definition,
                          org.eclipse.uml2.uml.Operation&nbsp;operation)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BatchReverseFunctionBody.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/CommandSupport.html" title="class in org.eclipse.papyrus.designer.languages.cpp.reverse.reverse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/reverse/reverse/BatchReverseFunctionBody.html" target="_top">Frames</a></li>
<li><a href="BatchReverseFunctionBody.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
